@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital@0;1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalam&family=Poppins:ital@0;1&display=swap');

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    color: #2B2C34;
}
button {
    padding: 8px 0;
    border: none;
    border-radius: 8px;
    width: 120px; 
    cursor: pointer;
    color: white;
}
#about-button, #read-button {
    background-color: var(--Purple, #982176);
}
#about-button:hover, #read-button:hover {
    background-color: var(--Purple, #c54ba2);
}
#contact-button {
    background-color: var(--Yellow, #FCA61F);
}
#contact-button:hover, .contact:hover, .project-box:hover, .certificate-box:hover {
    background-color: var(--Yellow, rgb(245, 182, 82));
}

nav {
    background-color: #D7BBF5;
    display: flex;
    padding: 20px 84px;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    position: sticky;
    top: 0;
    z-index: 1;
}

nav ul {
    display: flex;
    list-style-type: none;
    width: 100%;
    flex-basis: content;
    gap: 32px;
    justify-content: space-evenly;
}
nav a {
    color: inherit;
    text-decoration: none;
}
nav .active-page {
    color: var(--Purple, #982176);
    font-weight: bolder;
}
nav ul li:hover {
    color: var(--Purple, #982176);
}
.menu-toggle {
    display: none;
    height: 20px;
    justify-content: space-between;
    cursor: pointer;
}
.menu-toggle span {
    display: block;
    width: 20px;
    height: 3px;
    margin-bottom: 3px;
    border-radius: 3px;
    background-color: white;
}
#nav-list.active-ul {
    display: block;
}
.container {
    background: linear-gradient(180deg, #D7BBF5 0%, #FFF 60.28%);
    display: flex;
    padding: 12vh 8vw;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    row-gap: 120px;
    align-self: stretch;
    flex-wrap: wrap;
}
#aboutme-page {
    background: linear-gradient(180deg, #D7BBF5 0%, #FFF 20%)
}
.about, #project-page, .article {
    display: flex;
    flex-direction: column;
    row-gap: 20px;
}
#blog {
    row-gap: 40px;
}
.home-desc h1{
    font-size: 3.5rem;
    /* font-size: 4vw; */
    font-weight: 600;
}
.home-desc p, .blog-content {
    font-size: 16px;
}

.home-buttons {
    padding: 8% 0;
    display: flex;
    gap: 8%;
}
.home-img {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.home-img p {
    font-size: 0.8vw;
}

.title {
    font-size: xx-large;
    font-weight: 600;
}
.about p, .blog-content {
    text-align: justify;
}
.certificates h2 {
    padding: 40px 0;
    font-size: xx-large;
    text-align: center;
    text-decoration: underline;
}
.certificates-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap: 80px;
    align-self: stretch;
    flex-wrap: wrap; 
    padding: 20px 0;
}
.certificate-box {
    display: flex;
    max-width: 456px;
    min-height: 440px;
    flex-direction: column;
    padding: 24px 28px;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 32px; 
    border-radius: 12px;
    background: var(--Light-Yellow-2, #fddfc4);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.10); 
}
.certificate-box:hover {
    transform: scale(1.05); 
    transition: all .2s ease-in-out;
}
.certificate-img {
    width: 400px;
}
.certificate-detail {
    display: flex;
    align-items: center;
    align-self: stretch; 
    justify-content: space-between;
}
.certificate-title {
    flex-basis: 40%;
}
.icon-skill {
    width: 44px;
}
#project-page {
    width: 100%;
}
.project-box {
    display: flex;
    flex-basis: 100%;
    flex-direction: row-reverse;
    padding: 40px;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    align-self: stretch;
    border-radius: 24px;
    background: var(--Light-Yellow-2, #fddfc4);
}
.content {
    display: flex;
    flex-direction: column;
    gap: 40px;
}
.project-detail{
    flex-basis: 60%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-self: stretch;
    justify-content: space-between;
}
.project-detail a, .blog-content a {
    color: #982176;
}
.project-img {
    max-width: 200px;
    max-height: 200px;
}
.article {
    background: var(--Light-Yellow-2, #fddfc4);
    border-radius: 24px;
    padding: 40px;
}
.blog-title {
    font-size: x-large;
}
.blog-date {
    font-style: italic;
    font-size: smaller;
}
.blog-content {
    visibility: collapse;
    overflow: hidden;
}
.blog-content.active {
    visibility: visible;
}
q {
    font-family: 'Kalam';
    font-size: larger;
}
.contact-page {
    width: 100%;
    min-height: 62vh;
}
.contact-card {
    margin-top: 52px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 80px; 
}
.contact{
    background: var(--Light-Yellow-2, #fddfc4);
    border-radius: 24px;
    padding: 40px;
    flex-basis: 50%;
    max-width: 320px;
    text-align: center;
    gap: 20px;
}
footer {
    min-height: 40px;
    display: flex;
    padding: 28px 84px;
    justify-content: space-between;
    align-items: center;
    align-self: stretch; 
    background: var(--Light-Grey, #EFF0F3);
    box-shadow: 4px 6px 13px 0px rgba(215, 215, 215, 0.25);
}
.socmed-icon {
    display: flex;
    gap: 20px;
}
.copyright {
    font-size: smaller;
}
